import { PageResult, PageParams, ExamSubjectParams } from "./common";

export interface RecognizeConditionItem {
  code: string;
  name: string;
  needValue: boolean;
}

// 识别对照管理
export interface RecognizeCheckListItem {
  id: number;
  conditions: Array<{
    code: string;
    value: string | number;
  }>;
  subjectCode: string;
  subjectName: string;
  //默认任务组为true，不能修改删除，自动生成任务
  //非默认任务组允许手动生成任务
  fixed: boolean;
  //初始阶段为FIRST
  stage: string;
  //是否正在重置任务
  reseting: boolean;
  //是否正在生成任务
  building: boolean;
  //是否正在删除
  deleting: boolean;
  totalCount: number;
  finishCount: number;
  unarbitrateCount: number;
  arbitratedCount: number;
  updateTime: number;
}
export type ImageCheckListPageResult = PageResult<ImageCheckListItem>;
